<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 00400_Crypto</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>00400_Crypto<br/>
<small>
[<a class="el" href="group___g_p.html">GP</a>]</small>
</h1>  </div>
</div>
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gaeddac7d8f53a78e9d00221351fd80d0a">TestCase_01_Invoke_AllocateOperation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gad3a365c44cf5b420db5e806a29120737">TestCase_02_Invoke_Allocate_SetOperationKey</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga953731c63bbd86065b49207f07b0a83e">TestCase_03_Invoke_Allocate_SetOperationKey2</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gae4f5f58acdf5498515a757bd62b014e2">TestCase_04_Invoke_DigestInit</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gaddf57246ed1b10f87ff5c69aec9074b6">TestCase_05_Invoke_ResetOperation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga4e02c35bb9e6fecdd20d94f2dc24daf0">TestCase_06_Invoke_FreeOperation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gaa8bf2e84ae4e883677257f230cb3e282">TestCase_07_Invoke_GetOperationInfo</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga233c41fdfd06e5cddd7a3b350ee4bba2">TestCase_08_Invoke_CipherOperation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga383c3d0f06a35fc3a20a4fbc93ca6463">TestCase_09_Invoke_Random</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gaa8d9e352de88006c7c1966e65add778b">TestCase_10_Invoke_CopyOperation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gabf65654c403317c82684512ea914039c">TestCase_11_Invoke_CopyObjectAttributes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga6a5d8547354a35e2dda1aaa5f3609907">TestCase_12_Invoke_PopulateTransientObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga514822b893d6ad1d484a596ffa37c021">TestCase_13_Invoke_DeriveKey</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gad5e501cf0e0e4e356a9452447dc5f312">TestCase_14_Invoke_MACOperation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga88d5a4d45a2c3ff4f24be0570440a814">TestCase_15_Invoke_AEOperation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga1e10954f8300d3916cb02b2bf76ebb2e">TestCase_16_Invoke_EncryptOperationXTS</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gae01bec0a9fbc7a4cf07470356ebc8bef">TestCase_17_Invoke_EncryptOperationCTS</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#gaaaccd7186f2878212fc199bbff38b0c8">TestCase_21_Invoke_digest_test</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html#ga26f694688b40a7c8b4456bfdde761bbf">TestCase_22_SetOperationKey2__TrySetXtsKeyWithWrongUsageFlags__ShouldFail</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<dl class="user"><dt><b>Description:</b></dt><dd>: Tests in this file ensure compatibility with GP Crypto API v1.1.1. </dd></dl>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaeddac7d8f53a78e9d00221351fd80d0a"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_01_Invoke_AllocateOperation" ref="gaeddac7d8f53a78e9d00221351fd80d0a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_01_Invoke_AllocateOperation </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Allocate Operation </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Allocate Operation </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.01_Invoke_AllocateOperation </dd></dl>

</div>
</div>
<a class="anchor" id="gad3a365c44cf5b420db5e806a29120737"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_02_Invoke_Allocate_SetOperationKey" ref="gad3a365c44cf5b420db5e806a29120737" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_02_Invoke_Allocate_SetOperationKey </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Set Operation Key </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Set Operation Key </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.02_Invoke_Allocate_SetOperationKey </dd></dl>

</div>
</div>
<a class="anchor" id="ga953731c63bbd86065b49207f07b0a83e"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_03_Invoke_Allocate_SetOperationKey2" ref="ga953731c63bbd86065b49207f07b0a83e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_03_Invoke_Allocate_SetOperationKey2 </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Set OperationKey2 </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Set OperationKey2 </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.03_Invoke_Allocate_SetOperationKey2 </dd></dl>

</div>
</div>
<a class="anchor" id="gae4f5f58acdf5498515a757bd62b014e2"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_04_Invoke_DigestInit" ref="gae4f5f58acdf5498515a757bd62b014e2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_04_Invoke_DigestInit </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Digest Init </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Digest Init Close </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.04_Invoke_DigestInit </dd></dl>

</div>
</div>
<a class="anchor" id="gaddf57246ed1b10f87ff5c69aec9074b6"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_05_Invoke_ResetOperation" ref="gaddf57246ed1b10f87ff5c69aec9074b6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_05_Invoke_ResetOperation </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Reset Operation </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Reset Operation </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.05_Invoke_ResetOperation </dd></dl>

</div>
</div>
<a class="anchor" id="ga4e02c35bb9e6fecdd20d94f2dc24daf0"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_06_Invoke_FreeOperation" ref="ga4e02c35bb9e6fecdd20d94f2dc24daf0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_06_Invoke_FreeOperation </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Free Operation </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Free Operation </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.06_Invoke_FreeOperation </dd></dl>

</div>
</div>
<a class="anchor" id="gaa8bf2e84ae4e883677257f230cb3e282"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_07_Invoke_GetOperationInfo" ref="gaa8bf2e84ae4e883677257f230cb3e282" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_07_Invoke_GetOperationInfo </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Get Operation Info </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Get Operation Info </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.07_Invoke_GetOperationInfo </dd></dl>

</div>
</div>
<a class="anchor" id="ga233c41fdfd06e5cddd7a3b350ee4bba2"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_08_Invoke_CipherOperation" ref="ga233c41fdfd06e5cddd7a3b350ee4bba2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_08_Invoke_CipherOperation </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Cipher Operation </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Cipher Operation </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.08_Invoke_CipherOperation </dd></dl>

</div>
</div>
<a class="anchor" id="ga383c3d0f06a35fc3a20a4fbc93ca6463"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_09_Invoke_Random" ref="ga383c3d0f06a35fc3a20a4fbc93ca6463" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_09_Invoke_Random </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Random </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Random </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.09_Invoke_Random </dd></dl>

</div>
</div>
<a class="anchor" id="gaa8d9e352de88006c7c1966e65add778b"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_10_Invoke_CopyOperation" ref="gaa8d9e352de88006c7c1966e65add778b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_10_Invoke_CopyOperation </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Copy Operation </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Copy Operation </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.10_Invoke_CopyOperation </dd></dl>

</div>
</div>
<a class="anchor" id="gabf65654c403317c82684512ea914039c"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_11_Invoke_CopyObjectAttributes" ref="gabf65654c403317c82684512ea914039c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_11_Invoke_CopyObjectAttributes </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Copy Object Attributes </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Copy Object Attributes </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.11_Invoke_CopyObjectAttributes </dd></dl>

</div>
</div>
<a class="anchor" id="ga6a5d8547354a35e2dda1aaa5f3609907"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_12_Invoke_PopulateTransientObject" ref="ga6a5d8547354a35e2dda1aaa5f3609907" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_12_Invoke_PopulateTransientObject </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Populate Transient Object </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Populate Transient Object </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.12_Invoke_PopulateTransientObject </dd></dl>

</div>
</div>
<a class="anchor" id="ga514822b893d6ad1d484a596ffa37c021"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_13_Invoke_DeriveKey" ref="ga514822b893d6ad1d484a596ffa37c021" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_13_Invoke_DeriveKey </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Derive Key </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Derive Key </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.13_Invoke_DeriveKey </dd></dl>

</div>
</div>
<a class="anchor" id="gad5e501cf0e0e4e356a9452447dc5f312"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_14_Invoke_MACOperation" ref="gad5e501cf0e0e4e356a9452447dc5f312" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_14_Invoke_MACOperation </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE MAC Operation </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE MAC Operation </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.14_Invoke_MACOperation </dd></dl>

</div>
</div>
<a class="anchor" id="ga88d5a4d45a2c3ff4f24be0570440a814"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_15_Invoke_AEOperation" ref="ga88d5a4d45a2c3ff4f24be0570440a814" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_15_Invoke_AEOperation </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE AE Operation </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE AE Operation </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.15_Invoke_AEOperation </dd></dl>

</div>
</div>
<a class="anchor" id="ga1e10954f8300d3916cb02b2bf76ebb2e"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_16_Invoke_EncryptOperationXTS" ref="ga1e10954f8300d3916cb02b2bf76ebb2e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_16_Invoke_EncryptOperationXTS </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Encrypt Operation XTS </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Encrypt Operation XTS </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.16_Invoke_EncryptOperationXTS </dd></dl>

</div>
</div>
<a class="anchor" id="gae01bec0a9fbc7a4cf07470356ebc8bef"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_17_Invoke_EncryptOperationCTS" ref="gae01bec0a9fbc7a4cf07470356ebc8bef" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_17_Invoke_EncryptOperationCTS </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE Encrypt Operation CTS </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TEE Encrypt Operation CTS </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.17_Invoke_EncryptOperationCTS </dd></dl>

</div>
</div>
<a class="anchor" id="gaaaccd7186f2878212fc199bbff38b0c8"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_21_Invoke_digest_test" ref="gaaaccd7186f2878212fc199bbff38b0c8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_21_Invoke_digest_test </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Generate trusted application container </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Generate trusted application container </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.21_Invoke_digest_test </dd></dl>

</div>
</div>
<a class="anchor" id="ga26f694688b40a7c8b4456bfdde761bbf"></a><!-- doxytag: member="00400_Crypto.cpp::TestCase_22_SetOperationKey2__TrySetXtsKeyWithWrongUsageFlags__ShouldFail" ref="ga26f694688b40a7c8b4456bfdde761bbf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_22_SetOperationKey2__TrySetXtsKeyWithWrongUsageFlags__ShouldFail </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>3a30a07decb85172939b89c078bf3ef7 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE_SetOperationKey2 </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Tries to set key that has usage flags incompatible with the operation. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.00400_Crypto.22_SetOperationKey2__TrySetXtsKeyWithWrongUsageFlags__ShouldFail </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
